handle compiler crash better:
need to use exec to avoid seeing
shell output about the crash.

R=iant
DELTA=2  (1 added, 0 deleted, 1 changed)
OCL=35542
CL=35560
diff --git a/test/errchk b/test/errchk
index 0625dbc..3aafddb 100755
--- a/test/errchk
+++ b/test/errchk
@@ -30,7 +30,7 @@
 
 # Run command
 $cmd = join(' ', @ARGV);
-open(CMD, "$cmd </dev/null 2>&1 |") || die "BUG: errchk: run $cmd: $!";
+open(CMD, "exec $cmd </dev/null 2>&1 |") || die "BUG: errchk: run $cmd: $!";
 @out = grep { !/^	/ } <CMD>;
 close CMD;
 
@@ -42,6 +42,7 @@
 
 if(!WIFEXITED($?)) {
 	print STDERR "BUG: errchk: compiler crashed\n";
+	print STDERR @out, "\n";
 	exit 0;
 }